Subject: Re: bug#76565: 30.1; emacs xref: cannot jump back to the previous position when `xref-history-storage' is set to `xref-window-local-history'

From: Guoyu Ou <[email-masked]>
Date: Thu, 27 Feb 2025 12:36:36 +0800

Hi,

After applying this patch, I tested my commonly used functions and they are
all working well. Thanks for your patch.

Dmitry Gutov <[email-masked]> 于2025年2月27日周四 11:51写道：

> Hi!
>
> On 25/02/2025 16:36, Guoyu Ou wrote:
> > I installed emacs 30.1 from debian sid, and found that xref cannot jump
> > back to the previous position when `xref-history-storage` is set to
> > `xref-window-local-history`. It works in emacs 29.4 with xref 1.6.3.
> >
> > ### settings and tests
> >
> > The following is my `~/.emacs`:
> >
> > ```lisp
> > (when (>= emacs-major-version 29)
> >    (setq xref-history-storage 'xref-window-local-history))
> > ```
>
> Thanks for the report. It seems like a regression from fixing bug#65631.
>
> Here's a patch that addresses it.
>
> I'm not 100% convinced it this direction, though, (things are getting
> more complex) so it would be great if it you could try it out and see if
> there are any other scenarios that worked for you before, that still are
> not good with this patch applied.